#!/usr/local/bin/perl -w

#
# this program performs the Null-Long action.
# it does not verify that the job specified actually has a Null-Long
# action pending; it does it regardless.
#
# Note that this program does NOT move the collection file from
# incoming to outgoing.  Whether that should be done depends on
# whether the Null-Long is the last unperformed action for the job.
#

#
# this is not a cgi app; it uses cgi query objects 
# as database records (for jobs).
#

BEGIN { $no_cgi = 1; }
use lib ('.');
use JobCommon;

unless ( @ARGV ) {
  print "usage: $0 jobname\n";
  exit 1;
}

my $wait_interval = 10; # minutes!

my $action_name = 'Null-Long';

sleep $wait_interval * 60;

my $jobq = load_job( $ARGV[0] );

$jobq->append(
   -NAME => 'action',
 -VALUES => [ "$action_name - Performed - " . scalar( localtime ) ]
);

save_job( $jobq );


exit 0;

